package com.ruoyi.system.service.grid;

import com.ruoyi.system.domain.grid.GridRegionUser;
import com.ruoyi.system.domain.grid.GridRegionUserExample;
import com.ruoyi.system.service.BaseService;

import java.util.List;

/**
 * @author Cesar
 * @date ${cTime}
 * @desc GridRegionUserService接口
 */
public interface GridRegionUserService extends BaseService<GridRegionUser, GridRegionUserExample> {

    List<GridRegionUser> selectUsers(String wgCode);

    GridRegionUser selectByUserId(String userId);

    List<GridRegionUser> selectRandom(int userNum);

    /**
     * 当前用户的网格权限
     * @param userId
     * @return
     */
    List<GridRegionUser> getPermissionWgCodes(String userId);

}
